Package org.jfree.report.modules.gui.swing.preview

# Class ActionCategory

java.lang.Object
org.jfree.report.modules.gui.swing.preview.ActionCategory

All Implemented Interfaces:
  `Comparable`

public class ActionCategory extends Object implements Comparable
Creation-Date: 01.12.2006, 18:49:32

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`ActionCategory()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object o)`
Compares this object with the specified object for order.
`boolean`
`equals(Object o)`
`String`
`getDisplayName()`
Returns the display name for the export action.
`Integer`
`getMnemonicKey()`
Returns the mnemonic key code.
`String`
`getName()`
`int`
`getPosition()`
`String`
`getResourceBase()`
`String`
`getResourcePrefix()`
`String`
`getShortDescription()`
Returns the short description for the export action.
`int`
`hashCode()`
`void`
`initialize(SwingGuiContext context)`
`void`
`setName(String name)`
`void`
`setPosition(int position)`
`void`
`setResourceBase(String resourceBase)`
`void`
`setResourcePrefix(String resourcePrefix)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ActionCategory

public ActionCategory()

## Method Details

### initialize

public void initialize(SwingGuiContext context)

### getResourceBase

public String getResourceBase()

### setResourceBase

public void setResourceBase(String resourceBase)

### getResourcePrefix

public String getResourcePrefix()

### setResourcePrefix

public void setResourcePrefix(String resourcePrefix)

### getPosition

public int getPosition()

### setPosition

public void setPosition(int position)

### getName

public String getName()

### setName

public void setName(String name)

### getDisplayName

public String getDisplayName()
Returns the display name for the export action.

Returns:
  The display name.

### getShortDescription

public String getShortDescription()
Returns the short description for the export action.

Returns:
  The short description.

### getMnemonicKey

public Integer getMnemonicKey()
Returns the mnemonic key code.

Returns:
  The code.

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(Object o)
Compares this object with the specified object for order. Returns a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

Specified by:
  `compareTo` in interface `Comparable`
Parameters:
  `o` - the Object to be compared.
Returns:
  a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.
Throws:
  `ClassCastException` - if the specified object's type prevents it from being compared to this Object.

### toString

public String toString()

Overrides:
  `toString` in class `Object`